"""
$RCSfile: __init__.py,v $

The XMLTransform package is a Zope product.  

Author: <a href="mailto:cmorris@arielpartners.com">Chip Morris</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/08/18 23:45:02 $'[6:-2]
__version__ = '$Revision: 1.12 $'[10:-2]

from CacheManager import manage_addXMLTransformCacheManagerForm, \
     manage_addXMLTransformCacheManager, \
     addXMLTransformCacheManager

from TransformerRegistry import manage_addTransformerRegistryForm, \
     manage_addTransformerRegistry, addTransformerRegistry

from XMLTransform import findTransformerRegistry, findCacheManager, \
     manage_addXMLTransform, manage_addXMLTransformForm, \
     addXMLTransform, cachemanager_formpart, create_standard_formpart, \
     xmltransform_formpart, xsltregistry_formpart

from socket import gethostname

def initialize(context):
    """
    
    Initialize the XMLTransform product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.

    """

    try:
        context.registerClass(XMLTransform.XMLTransform,
                              constructors = (
            manage_addXMLTransformForm,
            manage_addXMLTransform,
            addXMLTransform,            
            findTransformerRegistry,
            findCacheManager,
            create_standard_formpart,
            xmltransform_formpart,
            xsltregistry_formpart,
            cachemanager_formpart,
            gethostname),
                              icon = 'www/XMLTransform.gif'
                              )

        context.registerClass(TransformerRegistry.TransformerRegistry,
                              constructors = (
            manage_addTransformerRegistryForm,
            manage_addTransformerRegistry,
            addTransformerRegistry),
                              icon = 'www/folder.gif'
                              )

        context.registerClass(CacheManager.CacheManager,
                              constructors = (
            manage_addXMLTransformCacheManagerForm,
            manage_addXMLTransformCacheManager,
            addXMLTransformCacheManager),
                              icon = 'www/cache.gif'
                              )

        context.registerHelp()

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
